"""
Pydantic schemas for TOAR database

"""

from typing import List

from pydantic import BaseModel
import datetime as dt

class DataBase(BaseModel):
    date_time: dt.datetime
    value: float
    flags: int
    timeseries_id: int


class DataCreate(DataBase):
    pass


class Data(DataBase):
    id: int

    class Config:
        orm_mode = True


